Issue 25427

Summary: Title of HTML table in list of Available tables/ranges in Insert -> External data...
Product: Calc Reporter: ooo
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: OOo 1.1.1b   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://ooo.chbs.dk/links/index.php
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description ooo 2004-02-12 17:09:19 UTC
When you will use external data from table at websites (HTML pages) then it 
would be a great enhancement if you could select the table by it's title 
<table title="OpenOffice.org Links"> instead of just a number (HTML_2) in the 
list of "Available tables/ranges" under "Insert" -> "External data...".  
 
You can use the URL above for test purposes - the table now named HTML_2 has 
the title "OpenOffice.org Links".  
 
In the HTML code it looks like this: 
 
  <TABLE ALIGN=CENTER BORDER=1 TITLE="OpenOffice.org Links"> 
 
It would make it much easier to select the correct table if a website or HTML 
page has several tables - and named them correctly. 
 
Thanks in advance
Comment 1 ooo 2004-02-12 17:16:42 UTC
I can see that the URL for testing I submitted is not on the issue page. So 
here it is: 
 
  http://ooo.chbs.dk/links/index.php 
Comment 2 frank 2004-02-13 09:10:21 UTC
Hi,

this is possible. The only problem is that the Title tag is not evaluated but
the id tag is. This is because the id tag should be unique over the document and
for titles there is not such an limitation even if it should.

So we should consider to evaluate also the title tag.

Frank
Comment 3 bettina.haberer 2004-02-13 09:52:01 UTC
This issue will be evaluated soon. Flags corrected.
Comment 4 ooo 2004-02-13 10:15:35 UTC
If the table HTML-tag has an id use the id.  
 
Else if the table HTML-tag has a title use the title 
 
Else use a number. 
 
The naming convention for the entries in the list could be: 
 
  HTML__ID=OpenOffice.org Links 
 
or 
 
  HTML__TITLE=OpenOffice.org Links 
 
instead of just: 
 
  HTML__OpenOffice.org Links 
 
The information about using the id for the table should be mentioned in the 
help file. 
 
 
 
 
 
Comment 5 ooo 2004-02-13 10:16:57 UTC
I forgot: 
 
Then you could actually use both and not let the other out because you then 
both have the ID and the TITLE. 
Comment 6 ace_dent 2008-05-16 02:57:54 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 bettina.haberer 2010-05-21 15:04:17 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".